This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 508056 - S-c-tools cleanup: unable to run system-config-display
S-c-tools cleanup: unable to run system-config-display
Status: CLOSED DUPLICATE of bug 505972
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 493620
  Show dependency treegraph
 
Reported: 2009-06-25 08:04 EDT by Roman Rakus
Modified: 2014-01-12 19:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-04 05:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-06-25 08:04:31 EDT
Description of problem:
There is an unhandled exception

How reproducible: 


Steps to Reproduce:
1.  Just try to run system-config-display
2. 
3. 

Actual results:
[rrakus@localhost ~]$ system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 641, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds


Expected results:
running apllication

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Sergei LITVINENKO 2009-08-09 07:42:56 EDT
system-config-display crash on start

[root@rawhide log]# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 28, in <module>
    import xf86config
  File "/usr/lib/python2.6/site-packages/xf86config.py", line 1, in <module>
    import ixf86config
ImportError: /usr/lib/libxf86config.so.0: undefined symbol: ErrorF



Add info:

system-config-display-1.1.3-3.fc12.noarch
libxf86config-1.6.99-28.20090804.fc12.i686
Comment 2 Matěj Cepl 2009-11-05 12:13:25 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Andre Robatino 2009-11-15 09:45:06 EST
Bug still exists in F12 (AKA RC4).
Comment 4 Bug Zapper 2009-11-16 05:26:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Roman Rakus 2009-12-07 09:32:19 EST
I'm unable to reproduce this bug. But Andre confirm (other) bug is present. Is it really still presented?
Comment 6 Andre Robatino 2009-12-07 19:07:50 EST
If you read recent posts to fedora-list, a number of people there are experiencing this (the "IndexError: index out-of-bounds" error you reported in your original post).  That's also the one I'm experiencing.
Comment 7 the.hw.group 2010-02-03 19:39:20 EST
We are experiencing this as well:

# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds
Comment 8 Matěj Cepl 2010-02-04 05:00:34 EST

*** This bug has been marked as a duplicate of bug 505972 ***

Note You need to log in before you can comment on or make changes to this bug.